.tuote-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.tuote {
    width: calc(25% - 15px);
    height: 350px;
    position: relative;
    border-radius: 20px;
    overflow: hidden;

    color: white !important;
    word-break: break-word;
    line-height: 1;
    border: 2px solid #ffffff2b;
}
@supports (corner-shape: squircle){
    .tuote{
        border-radius: 50px;
        corner-shape: squircle;
    }
}


.singular .tuote{
    width: 100%;
    display: flex;
}

@media (max-width: 1000px){
    .tuotteet .tuote {
        width: calc(50% - 15px);
    }
}

@media (max-width: 600px){
    .tuotteet .tuote {
        width: calc(100%);
    }
}
.tuote .image {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;

}


.tuote .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.tuote .content {
    font-family: "Montserrat", sans-serif;
    display: flex;
    flex-direction: column;
    padding: 0px 20px 20px 20px;
    height: 60%;
    width: 100%;
    background-color: #0000004a;

    position: absolute;
    bottom: -40%;
    transition: transform 0.3s ease, bottom 0.3s ease;

    backdrop-filter: blur(10px);
    align-items: flex-start;
}

.tuote:hover .content {
    bottom: 0;
}

.tuote:hover .content .desc,
.tuote:hover .content .button{
    opacity: 1;
}

.tuote .content .title {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 5px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tuote .content .desc {
    font-size: 16px;
    font-weight: 400;
    opacity: 0;
    transition: opacity 0.2s ease;
    -webkit-line-clamp: 4;
    line-clamp: 4;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.tuote .content .button{
    width: 100%;
    background-color: white;
    color: black;
    border-radius: 1000px;
    padding: 10px 15px;
    text-align: center;
    font-weight: 600;
    opacity: 0;
    margin-top: auto;
    transition: opacity 0.2s ease;
}

.tuote-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;
}

.tuote-group .holder {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    flex-wrap: wrap;
}
.tuote-group .holder h2{
    margin-bottom: 0;
}
.tuote-group .holder p.desc{
    width: 70%;
}

.tuote-group .holder .details {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}
.tuote-group .holder a{
    white-space: nowrap !important;
}

@media (max-width: 700px){
    .tuote-group .holder{
        width: 100%;
    }

    .tuote-group .holder p.desc{
        width: 100%;
    }
}
.jypmedia.tuotteet {
    width: 100%;
}